# Update

Launch stage: Beta

`PATCH /api/2.0/identity/groups/{group_id}`

Updates an existing group in the Databricks account that
 parents the calling workspace. Only the fields named in the update mask are modified. Returns
 the updated Group resource.

 When AIM is enabled and the group is an external identity (its external_id is set), only
 external_id can be updated; its other fields are sourced from your identity provider.

API scopes: identity

## Path parameters

- `group_id` (string, required)
  Required. Internal ID of the group in Databricks.

## Query parameters

- `update_mask` (string, required)
  Optional. The list of fields to update.

## Request body

- `group` (object, required)
  Required. Group to be updated in Databricks
  - `account_id` (string, optional)
    The parent account ID for group in Databricks.
  - `group_id` (string, optional)
    Internal group ID of the group in Databricks.
  - `external_id` (string, optional)
    ExternalId of the group in the customer's IdP.
  - `group_name` (string, optional)
    Display name of the group.

## Returns

Returns the Group object.

## Response

```json
{
  "account_id": "string",
  "group_id": "string",
  "external_id": "string",
  "group_name": "string"
}
```

